# Terraform Plan Analysis Report

## Summary
- **Total Resources**: {{ total_resources }}
- **Resources to Add**: {{ resources_to_add }}
- **Resources to Change**: {{ resources_to_change }}
- **Resources to Destroy**: {{ resources_to_destroy }}

## Resource Changes
{% for resource in resources %}
### {{ resource.resource_type }}.{{ resource.identifier }}
{% if resource.changes %}
#### Changes:
{% for change in resource.changes %}
- **{{ change.attribute }}**: {{ change.before }} → {{ change.after }}
{% endfor %}
{% endif %}
{% if show_details %}
#### Details:
- **Provider**: {{ resource.provider }}
- **Module**: {{ resource.module }}
- **Dependencies**: {{ resource.dependencies|join(', ') }}
{% endif %}
{% endfor %}

## Analysis
{% if analysis %}
{% for item in analysis %}
### {{ item.title }}
{{ item.description }}
{% endfor %}
{% endif %}

---
*Generated by tfsumpy on {{ timestamp }}* 